Viewing Issue Advanced Details
ID Category [?] Severity [?] Reproducibility Date Submitted Last Update
07950 Sound Minor Always Apr 17, 2021, 19:00 Apr 20, 2021, 16:31
Tester Keade View Status Public Platform MAME (Official Binary)
Assigned To aaron Resolution Fixed OS Linux (64-bit)
Status [?] Resolved Driver neogeo.cpp
Version 0.230 Fixed in Version 0.231 Build 64-bit
Fixed in Git Commit e1bd766 Github Pull Request #
Summary 07950: twinspri: Incorrect sound on game mode / character select screens
Description The music sounds different from 0.230 and on (I have tested master 55d1ba64b78 and it is the same).
Judging from videos available on Youtube, the output of 0.229 seemed closer to the real thing.
I don't venture into describing the output difference with words as it is easy to hear (please see samples provided below).

I have attached MAME recordings from master, 0.230 and 0.229 (recorded using -aviwrite, as I forgot about -wavwrite) in FLAC, in a single archive.

Recordings I have found on YT (idk if they are legit / to what extent):

("at Mikado", ie recorded in arcades in Japan)


ps. I have checked Garou MOTW (same driver), the music is slightly different from previous versions in the character select screen also (but less obvious). Twinkle Star Sprites just happens to be a game I remembered the music from previous versions.
Steps To Reproduce
Additional Information
Github Commit
Flags
Regression Version 0.230
Affected Sets / Systems twinspri
Attached Files
7z file icon mameRecordings.flac.7z (3,294,010 bytes) Apr 17, 2021, 19:00 Uploaded by Keade
Relationships
There are no relationship linked to this issue.
Notes
10
User avatar
No.18709
mahlemiut
Developer
Apr 17, 2021, 21:41
Definitely sounds like there's some part missing in the track in 0.230.
User avatar
No.18710
Tafoid
Administrator
Apr 18, 2021, 01:48
Check current Git. There is a huge fix that pretty much fixes all FM shortcomings.
User avatar
No.18711
Keade
Tester
Apr 18, 2021, 06:47
edited on: Apr 18, 2021, 14:08
I have compiled and tested https://github.com/mamedev/mame/commit/55d1ba64b78db1da3efd49d56d5bbc7cfeb276d0

Before I give it a try, could you please confirm you are referring to the master branch and specifically this https://github.com/mamedev/mame/commit/fdb43e616be4336a080028422408fc4fd87a76e9 (then I will proceed to compile and test) ?
Asking because, while I know nothing about MAME source, this looks like that fix is for an unrelated driver (?).

Thanks !
User avatar
No.18712
kmg
Tester
Apr 18, 2021, 08:54
Yeah, Keade the second linked commit is unrelated. Any relevant FM fixes went in earlier. No need to recompile.
User avatar
No.18713
Keade
Tester
Apr 18, 2021, 10:23
edited on: Apr 18, 2021, 10:25
Then that would mean, unless some commit between 55d1ba64b78db1da3efd49d56d5bbc7cfeb276d0 and cb8e92c227a7eee96affbc32dba255079a0f146c fixed it, that the issue is reproducible on latest master - unless I missed something.
As explained above, I have tested and attached output for 55d1ba64b78db1da3efd49d56d5bbc7cfeb276d0 at the time of opening this ticket (it is incorrect, no changes).
User avatar
No.18718
mahlemiut
Developer
Apr 19, 2021, 06:37
Seems to still be missing bits in latest Git, also.
User avatar
No.18719
Tafoid
Administrator
Apr 19, 2021, 08:32
Can we get a specific section of music or track that is easiest to use for comparison to illustrate the issue with?
User avatar
No.18720
Keade
Tester
Apr 19, 2021, 11:33
edited on: Apr 19, 2021, 11:39
Apologies if I have misunderstood your message - have you listened to the provided samples against the reference recordings (and 0.229) ? The YT videos I have linked I have put timestamps on so you shouldn't have to seek.
The difference can be heard right from the beginning of the recordings, although I have included 12s for each). As Mahlemiut commented, part of the music is missing, the difference is obvious.

I didn't mention it by the way but twinspri game mode select screen is very easy to reach from the emulator from a new/clean state. Just insert credit, press start, skip tutorial (press A).
User avatar
No.18722
Haze
Senior Tester
Apr 20, 2021, 11:04
edited on: Apr 20, 2021, 11:05
explicitly says it's a real 6-slot and sounds like older MAME

with the updated core the louder synth sounds only appear in alternating segments of the music (which actually sounds much, much better, but is wrong)

it's NOT a case of the ADPCM region being incorrect from what I can tell, as loading it into the other region doesn't help anything.
User avatar
No.18723
aaron
Developer
Apr 20, 2021, 16:31
I just pushed a fix for this. The ADPCM-A sample end test was different from before and apparently twinspri relied on subtleties of its behavior.